### A free/open-source library for quantitative finance

Public Member Functions
OneFactorModel::ShortRateTree Class Reference

Recombining trinomial tree discretizing the state variable. More...

`#include <ql/models/shortrate/onefactormodel.hpp>`

Inheritance diagram for OneFactorModel::ShortRateTree:
[legend]

List of all members.

## Public Member Functions

| ShortRateTree (const boost::shared_ptr< TrinomialTree > &tree, const boost::shared_ptr< ShortRateDynamics > &dynamics, const TimeGrid &timeGrid)
| Plain tree build-up from short-rate dynamics.
| ShortRateTree (const boost::shared_ptr< TrinomialTree > &tree, const boost::shared_ptr< ShortRateDynamics > &dynamics, const boost::shared_ptr< TermStructureFittingParameter::NumericalImpl > &phi, const TimeGrid &timeGrid)
| Tree build-up + numerical fitting to term-structure.
Size | size (Size i) const
DiscountFactor | discount (Size i, Size index) const
Real | underlying (Size i, Size index) const
Size | descendant (Size i, Size index, Size branch) const
Real | probability (Size i, Size index, Size branch) const

## Detailed Description

Recombining trinomial tree discretizing the state variable.